define("applications/nbi/js/query/elementQueryService", ["dojo/query"],
    function (query) {
        return {
            findGroups: function () {
                return query(".apiGroup");
            },

            findApiRows: function () {
                return query(".apiRow");
            },

            findVisibleApiRowsForGroup: function (group) {
                return query(".apiRow:not([hidden=\"true\"])", group);
            },

            findGroupItemInJumpToMenu: function (groupId) {
                return query(".menu>[groupid=\"" + groupId + "\"]");
            },

            findDevNetDiscussions: function () {
                return query("[id^='devnet-discussions']");
            }
        }
    });